module.exports = function(sequelize, DataTypes) {
  return sequelize.define("PlayerRatings", {
    name: { type: DataTypes.STRING, primaryKey: true },
    position: DataTypes.STRING(2),
    style: DataTypes.STRING(3),
    shoots: DataTypes.STRING(5),
    height: DataTypes.INTEGER,
    weight: DataTypes.INTEGER,
    overall: DataTypes.INTEGER,
    skating: DataTypes.INTEGER,
    shooting: DataTypes.INTEGER,
    handling: DataTypes.INTEGER,
    checking: DataTypes.INTEGER,
    defending: DataTypes.INTEGER,
    faceoffs: DataTypes.INTEGER,
    passing: DataTypes.INTEGER,
    slapShotPower: DataTypes.INTEGER,
    slapShotAccuracy: DataTypes.INTEGER,
    wristShotPower: DataTypes.INTEGER,
    wristShotAccuracy: DataTypes.INTEGER
  }, {
    tableName: 'PlayerRatings'+global.halcyonSingleton.season+''
  });
};
